% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pagination.R
\name{basic_pagdf}
\alias{basic_pagdf}
\title{Basic/spoof pagination info dataframe}
\usage{
basic_pagdf(
  rnames,
  labs = rnames,
  rnums = seq_along(rnames),
  extents = 1L,
  rclass = "NA"
)
}
\arguments{
\item{rnames}{character. Vector of row names}

\item{labs}{character. Vector of row labels (defaults to names)}

\item{rnums}{integer. Vector of row numbers. Defaults to `seq_along(rnames)`.}

\item{extents}{integer. Number of lines each row will take to print,d efaults to 1 for all rows}

\item{rclass}{character. Class(es) for the rows. Defaults to "NA"}
}
\value{
A data.frame suitable for use in both the `matrix_print_form` constructor and the pagination machinery
}
\description{
Returns a minimal pagination info data.frame (with no sibling/footnote/etc info).
}
\examples{

basic_pagdf(c("hi", "there"))
}
